#### D.7.3.6 InvariantQ

Procedure from library `rinvar.lib` (see rinvar_lib).

Usage:
  InvariantQ(f, G, action); poly f; ideal G, action

Purpose:
  check whether the polynomial f is invariant w.r.t. G, where G acts via 'action' on K^m.

Assume:
  basering = K[s_1,...,s_m,t_1,...,t_m] where K = Q of K = Q(a) and minpoly != 0, f contains only t_1,...,t_m, G is the ideal of an algebraic group and a standardbasis.

Return:
  int;
  0 if f is not invariant,
  1 if f is invariant

Note:
  G need not be finite

User manual for Singular version 4.4.1, 2025, generated by texi2html.